Changeset 2904 for ThirdParty/ASL


Ignore:
Timestamp:
Sep 12, 2013 6:03:11 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2881 r2904  
    10711071                          icl/link). Default when mentioned: mingw. Default
    10721072                          when not mentioned: disabled.
    1073 
    10741073  --enable-static[=PKGS]
    10751074                          build static libraries [default=no]
     
    19391938echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19401939  fi
    1941 
    1942 
    1943 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1944 if test "${enable_static_standardlibs+set}" = set; then
    1945   enableval="$enable_static_standardlibs"
    1946   case "$enableval" in
    1947      no | yes | auto ) ;;
    1948      *)
    1949        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1950 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1951    { (exit 1); exit 1; }; } ;;
    1952    esac
    1953    use_static_standardlibs=$enableval
    1954 else
    1955   use_static_standardlibs=no
    1956 fi;
    1957 
    19581940
    19591941
     
    30953077    CFLAGS="$OPT_CFLAGS"
    30963078  fi
    3097 
    30983079else
    30993080  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32633244    ;;
    32643245esac
    3265 
    3266 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3267 if test x$use_static_standardlibs != xno ; then
    3268   case $build in
    3269     *-mingw*)
    3270       static_standardlib_flag=-static
    3271       ;;
    3272     *)
    3273       static_standardlib_flag=-static-libgcc
    3274       ;;
    3275   esac
    3276   case " $LDFLAGS " in
    3277     *" $static_standardlib_flag "* ) ;;
    3278     *)
    3279     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3280 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3281     coin_save_LDFLAGS="$LDFLAGS"
    3282     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3283     cat >conftest.$ac_ext <<_ACEOF
    3284 /* confdefs.h.  */
    3285 _ACEOF
    3286 cat confdefs.h >>conftest.$ac_ext
    3287 cat >>conftest.$ac_ext <<_ACEOF
    3288 /* end confdefs.h.  */
    3289 
    3290 int
    3291 main ()
    3292 {
    3293 int i=0;
    3294   ;
    3295   return 0;
    3296 }
    3297 _ACEOF
    3298 rm -f conftest.$ac_objext conftest$ac_exeext
    3299 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3300   (eval $ac_link) 2>conftest.er1
    3301   ac_status=$?
    3302   grep -v '^ *+' conftest.er1 >conftest.err
    3303   rm -f conftest.er1
    3304   cat conftest.err >&5
    3305   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3306   (exit $ac_status); } &&
    3307          { ac_try='test -z "$ac_c_werror_flag"
    3308                          || test ! -s conftest.err'
    3309   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3310   (eval $ac_try) 2>&5
    3311   ac_status=$?
    3312   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3313   (exit $ac_status); }; } &&
    3314          { ac_try='test -s conftest$ac_exeext'
    3315   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3316   (eval $ac_try) 2>&5
    3317   ac_status=$?
    3318   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3319   (exit $ac_status); }; }; then
    3320   echo "$as_me:$LINENO: result: yes" >&5
    3321 echo "${ECHO_T}yes" >&6
    3322 else
    3323   echo "$as_me: failed program was:" >&5
    3324 sed 's/^/| /' conftest.$ac_ext >&5
    3325 
    3326 echo "$as_me:$LINENO: result: no" >&5
    3327 echo "${ECHO_T}no" >&6
    3328        LDFLAGS="$coin_save_LDFLAGS"
    3329        if test $use_static_standardlibs = yes ; then
    3330          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3331 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3332    { (exit 1); exit 1; }; }
    3333        fi
    3334 
    3335 fi
    3336 rm -f conftest.err conftest.$ac_objext \
    3337       conftest$ac_exeext conftest.$ac_ext
    3338     ;;
    3339   esac
    3340 fi
    33413246
    33423247ac_ext=c
     
    49734878*-*-irix6*)
    49744879  # Find out which ABI we are using.
    4975   echo '#line 4975 "configure"' > conftest.$ac_ext
     4880  echo '#line 4880 "configure"' > conftest.$ac_ext
    49764881  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49774882  (eval $ac_compile) 2>&5
     
    65726477
    65736478# Provide some information about the compiler.
    6574 echo "$as_me:6574:" \
     6479echo "$as_me:6479:" \
    65756480     "checking for Fortran 77 compiler version" >&5
    65766481ac_compiler=`set X $ac_compile; echo $2`
     
    76397544   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76407545   -e 's:$: $lt_compiler_flag:'`
    7641    (eval echo "\"\$as_me:7641: $lt_compile\"" >&5)
     7546   (eval echo "\"\$as_me:7546: $lt_compile\"" >&5)
    76427547   (eval "$lt_compile" 2>conftest.err)
    76437548   ac_status=$?
    76447549   cat conftest.err >&5
    7645    echo "$as_me:7645: \$? = $ac_status" >&5
     7550   echo "$as_me:7550: \$? = $ac_status" >&5
    76467551   if (exit $ac_status) && test -s "$ac_outfile"; then
    76477552     # The compiler can only warn and ignore the option if not recognized
     
    79077812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79087813   -e 's:$: $lt_compiler_flag:'`
    7909    (eval echo "\"\$as_me:7909: $lt_compile\"" >&5)
     7814   (eval echo "\"\$as_me:7814: $lt_compile\"" >&5)
    79107815   (eval "$lt_compile" 2>conftest.err)
    79117816   ac_status=$?
    79127817   cat conftest.err >&5
    7913    echo "$as_me:7913: \$? = $ac_status" >&5
     7818   echo "$as_me:7818: \$? = $ac_status" >&5
    79147819   if (exit $ac_status) && test -s "$ac_outfile"; then
    79157820     # The compiler can only warn and ignore the option if not recognized
     
    80117916   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80127917   -e 's:$: $lt_compiler_flag:'`
    8013    (eval echo "\"\$as_me:8013: $lt_compile\"" >&5)
     7918   (eval echo "\"\$as_me:7918: $lt_compile\"" >&5)
    80147919   (eval "$lt_compile" 2>out/conftest.err)
    80157920   ac_status=$?
    80167921   cat out/conftest.err >&5
    8017    echo "$as_me:8017: \$? = $ac_status" >&5
     7922   echo "$as_me:7922: \$? = $ac_status" >&5
    80187923   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80197924   then
     
    1035610261  lt_status=$lt_dlunknown
    1035710262  cat > conftest.$ac_ext <<EOF
    10358 #line 10358 "configure"
     10263#line 10263 "configure"
    1035910264#include "confdefs.h"
    1036010265
     
    1045610361  lt_status=$lt_dlunknown
    1045710362  cat > conftest.$ac_ext <<EOF
    10458 #line 10458 "configure"
     10363#line 10363 "configure"
    1045910364#include "confdefs.h"
    1046010365
     
    1280012705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1280112706   -e 's:$: $lt_compiler_flag:'`
    12802    (eval echo "\"\$as_me:12802: $lt_compile\"" >&5)
     12707   (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
    1280312708   (eval "$lt_compile" 2>conftest.err)
    1280412709   ac_status=$?
    1280512710   cat conftest.err >&5
    12806    echo "$as_me:12806: \$? = $ac_status" >&5
     12711   echo "$as_me:12711: \$? = $ac_status" >&5
    1280712712   if (exit $ac_status) && test -s "$ac_outfile"; then
    1280812713     # The compiler can only warn and ignore the option if not recognized
     
    1290412809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1290512810   -e 's:$: $lt_compiler_flag:'`
    12906    (eval echo "\"\$as_me:12906: $lt_compile\"" >&5)
     12811   (eval echo "\"\$as_me:12811: $lt_compile\"" >&5)
    1290712812   (eval "$lt_compile" 2>out/conftest.err)
    1290812813   ac_status=$?
    1290912814   cat out/conftest.err >&5
    12910    echo "$as_me:12910: \$? = $ac_status" >&5
     12815   echo "$as_me:12815: \$? = $ac_status" >&5
    1291112816   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1291212817   then
     
    1447414379   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1447514380   -e 's:$: $lt_compiler_flag:'`
    14476    (eval echo "\"\$as_me:14476: $lt_compile\"" >&5)
     14381   (eval echo "\"\$as_me:14381: $lt_compile\"" >&5)
    1447714382   (eval "$lt_compile" 2>conftest.err)
    1447814383   ac_status=$?
    1447914384   cat conftest.err >&5
    14480    echo "$as_me:14480: \$? = $ac_status" >&5
     14385   echo "$as_me:14385: \$? = $ac_status" >&5
    1448114386   if (exit $ac_status) && test -s "$ac_outfile"; then
    1448214387     # The compiler can only warn and ignore the option if not recognized
     
    1457814483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457914484   -e 's:$: $lt_compiler_flag:'`
    14580    (eval echo "\"\$as_me:14580: $lt_compile\"" >&5)
     14485   (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
    1458114486   (eval "$lt_compile" 2>out/conftest.err)
    1458214487   ac_status=$?
    1458314488   cat out/conftest.err >&5
    14584    echo "$as_me:14584: \$? = $ac_status" >&5
     14489   echo "$as_me:14489: \$? = $ac_status" >&5
    1458514490   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1458614491   then
     
    1678516690   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1678616691   -e 's:$: $lt_compiler_flag:'`
    16787    (eval echo "\"\$as_me:16787: $lt_compile\"" >&5)
     16692   (eval echo "\"\$as_me:16692: $lt_compile\"" >&5)
    1678816693   (eval "$lt_compile" 2>conftest.err)
    1678916694   ac_status=$?
    1679016695   cat conftest.err >&5
    16791    echo "$as_me:16791: \$? = $ac_status" >&5
     16696   echo "$as_me:16696: \$? = $ac_status" >&5
    1679216697   if (exit $ac_status) && test -s "$ac_outfile"; then
    1679316698     # The compiler can only warn and ignore the option if not recognized
     
    1705316958   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1705416959   -e 's:$: $lt_compiler_flag:'`
    17055    (eval echo "\"\$as_me:17055: $lt_compile\"" >&5)
     16960   (eval echo "\"\$as_me:16960: $lt_compile\"" >&5)
    1705616961   (eval "$lt_compile" 2>conftest.err)
    1705716962   ac_status=$?
    1705816963   cat conftest.err >&5
    17059    echo "$as_me:17059: \$? = $ac_status" >&5
     16964   echo "$as_me:16964: \$? = $ac_status" >&5
    1706016965   if (exit $ac_status) && test -s "$ac_outfile"; then
    1706116966     # The compiler can only warn and ignore the option if not recognized
     
    1715717062   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715817063   -e 's:$: $lt_compiler_flag:'`
    17159    (eval echo "\"\$as_me:17159: $lt_compile\"" >&5)
     17064   (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
    1716017065   (eval "$lt_compile" 2>out/conftest.err)
    1716117066   ac_status=$?
    1716217067   cat out/conftest.err >&5
    17163    echo "$as_me:17163: \$? = $ac_status" >&5
     17068   echo "$as_me:17068: \$? = $ac_status" >&5
    1716417069   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1716517070   then
Note: See TracChangeset for help on using the changeset viewer.